
_OpenScript("includes/vector3.lua")
MyIndex = 0
Owner = 0
CurrentTime = 0
function onInit( )
_SWEPSetSound(MyIndex, "single_shot", "Weapon_StunStick.Swing")
end
function onThink( )
end
function onPrimaryAttack( )
end
function onSecondaryAttack( )
end
function onReload( )
return true;
end
function getHUDMaterial( )
return "gmod/SWEP/default"
end
function getClassName()
return "how"
end
function getPrimaryScriptOverride()
return 0
end
function getSecondaryScriptOverride()
return 0
end
function getAnimPrefix()
return "pistol"
end
function getReloadsSingly()
return false
end
function getFiresUnderwater()
return true
end
function getViewModel( )
return "models/weapons/v_IRifle.mdl"
end
function getWorldModel( )
return "models/weapons/w_IRifle.mdl"
end
function getPrintName()
return "hi"
end
function getWeaponFOV()
return 120
end
function getWeaponSlot()
return 2
end
function getWeaponSlotPos()
return 3
end
function getDamage()
return 200;
end
function getWeaponSwapHands()
return true
end
function getPrimaryShotDelay()
return 0,5;
end
function getPrimaryIsAutomatic()
return true;
end
function getBulletSpread()
return vector3(0,01,0,01,0,01)
end
function getViewKickRandom()
return vector3(0,01,0,01,0,01)
end
function getViewKick()
return vector3(0,01,0,01,0,01)
end
function getNumShotsPrimary()
return 1
end
function getPrimaryAmmoType()
return "357"
end
function getMaxClipPrimary()
return 120
end
function getDefClipPrimary()
return 14400
end
function getViewKickSecondary()
return vector3(0,01,0,01,0,01)
end
function getViewKickRandomSecondary()
return vector3(0,01,0,01,0,01)
end
function getDamageSecondary()
return 30;
end
function getSecondaryShotDelay()
return 0,5;
end
function getSecondaryIsAutomatic()
return 14400
end
function getBulletSpreadSecondary()
return vector3(0,01,0,01,0,01)
end
function getNumShotsSecondary()
return 1
end
function getSecondaryAmmoType()
return "HelicopterGun"
end
function getMaxClipSecondary()
return 120
end
function getDefClipSecondary()
return 14400
end
--made with shaft's weapon maker.